Bug 523224 - (mingw32-xerces-c) Review Request: mingw32-xerces-c - MingGW Windows validating XML parser
Review Request: mingw32-xerces-c - MingGW Windows validating XML parser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-14 10:16 EDT by Antti Andreimann
Modified: 2009-12-17 23:45 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.0.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 09:24:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kalevlember: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Antti Andreimann 2009-09-14 10:16:09 EDT
Spec URL: http://anttix.org/fedora/pkg/mingw32-xerces-c.spec
SRPM URL: http://anttix.org/fedora/pkg/mingw32-xerces-c-3.0.1-1.fc12.src.rpm
Description:
Xerces-C is a validating XML parser written in a portable subset of
C++. Xerces-C makes it easy to give your application the ability to
read and write XML data. A shared library is provided for parsing,
generating, manipulating, and validating XML documents. Xerces-C is
faithful to the XML 1.0 recommendation and associated standards (DOM
1.0, DOM 2.0. SAX 1.0, SAX 2.0, Namespaces).

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1677082

This package is for the MinGW32 build system and should conform to those guidlines:
http://fedoraproject.org/wiki/Packaging/MinGW

It is based on a later version of xerces-c libraries than the current one present in Fedora. Version 3.x is a LOT easier to cross-compile making the SPEC much cleaner and simpler.
Comment 1 Kalev Lember 2009-11-24 13:08:29 EST
Fedora review mingw32-xerces-c-3.0.1-1.fc12.src.rpm 2009-11-24

+ OK
! needs attention

rpmlint says:
mingw32-xerces-c.src: W: spelling-error-in-description en_US Namespaces
mingw32-xerces-c.noarch: W: spelling-error-in-description en_US Namespaces
mingw32-xerces-c-debuginfo.noarch: W: spelling-error-in-summary en_US mingw
mingw32-xerces-c-debuginfo.noarch: W: spelling-error-in-description en_US mingw
mingw32-xerces-c-debuginfo.noarch: E: debuginfo-without-sources
3 packages and 1 specfiles checked; 1 errors, 4 warnings.

All these rpmlint warnings are harmless and can be ignored. The debuginfo-without-sources doesn't mean that anything is wrong with this package, but rather that mingw32 debug package generator doesn't put sources in the package.


+ rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
+ The stated license (ASL 2.0) is a Fedora approved license
+ The stated license is the same as the one for the corresponding
  native Fedora package
+ The package contains the license file (LICENSE)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. sha1sum:
  71e4efee5397dd45d6bafad34bf3bc766bc2a085  xerces-c-3.0.1.tar.gz
  71e4efee5397dd45d6bafad34bf3bc766bc2a085  Download/xerces-c-3.0.1.tar.gz
+ Package builds in mock/koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a The spec file MUST handle locales properly
n/a binary RPM with shared library files must call ldconfig in %post and
    %postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
n/a Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

Looks good. APPROVED
Comment 2 Antti Andreimann 2009-12-02 11:17:53 EST
Thank You for the review.

New Package CVS Request
=======================
Package Name: mingw32-xerces-c
Short Description: MingGW Windows validating XML parser
Owners: anttix
Branches: F-12
InitialCC:
Comment 3 Kevin Fenzi 2009-12-03 01:27:51 EST
cvs done.
Comment 4 Kalev Lember 2009-12-10 16:19:44 EST
Ping Antti. You can now go on with importing and building the package.
Comment 5 Antti Andreimann 2009-12-16 09:24:31 EST
Thanks for the reminder, Kalev.

devel and F-12 branches built, going to submit update for F-12 promptly.
Comment 6 Fedora Update System 2009-12-16 09:32:35 EST
mingw32-xerces-c-3.0.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mingw32-xerces-c-3.0.1-1.fc12
Comment 7 Fedora Update System 2009-12-17 23:45:10 EST
mingw32-xerces-c-3.0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.